require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&__ASM_OFFSETS_H__)) {
    eval 'sub __ASM_OFFSETS_H__ () {1;}' unless defined(&__ASM_OFFSETS_H__);
    require 'linux/config.ph';
    eval 'sub AOFF_task_state () {0x;}' unless defined(&AOFF_task_state);
    eval 'sub ASIZ_task_state () {0x4;}' unless defined(&ASIZ_task_state);
    eval 'sub AOFF_task_flags () {0x4;}' unless defined(&AOFF_task_flags);
    eval 'sub ASIZ_task_flags () {0x4;}' unless defined(&ASIZ_task_flags);
    eval 'sub AOFF_task_sigpending () {0x8;}' unless defined(&AOFF_task_sigpending);
    eval 'sub ASIZ_task_sigpending () {0x4;}' unless defined(&ASIZ_task_sigpending);
    eval 'sub AOFF_task_addr_limit () {0xc;}' unless defined(&AOFF_task_addr_limit);
    eval 'sub ASIZ_task_addr_limit () {0x4;}' unless defined(&ASIZ_task_addr_limit);
    eval 'sub AOFF_task_exec_domain () {0x10;}' unless defined(&AOFF_task_exec_domain);
    eval 'sub ASIZ_task_exec_domain () {0x4;}' unless defined(&ASIZ_task_exec_domain);
    eval 'sub AOFF_task_need_resched () {0x14;}' unless defined(&AOFF_task_need_resched);
    eval 'sub ASIZ_task_need_resched () {0x4;}' unless defined(&ASIZ_task_need_resched);
    eval 'sub AOFF_task_ptrace () {0x18;}' unless defined(&AOFF_task_ptrace);
    eval 'sub ASIZ_task_ptrace () {0x4;}' unless defined(&ASIZ_task_ptrace);
    eval 'sub AOFF_task_lock_depth () {0x1c;}' unless defined(&AOFF_task_lock_depth);
    eval 'sub ASIZ_task_lock_depth () {0x4;}' unless defined(&ASIZ_task_lock_depth);
    eval 'sub AOFF_task_counter () {0x20;}' unless defined(&AOFF_task_counter);
    eval 'sub ASIZ_task_counter () {0x4;}' unless defined(&ASIZ_task_counter);
    eval 'sub AOFF_task_nice () {0x24;}' unless defined(&AOFF_task_nice);
    eval 'sub ASIZ_task_nice () {0x4;}' unless defined(&ASIZ_task_nice);
    eval 'sub AOFF_task_policy () {0x28;}' unless defined(&AOFF_task_policy);
    eval 'sub ASIZ_task_policy () {0x4;}' unless defined(&ASIZ_task_policy);
    eval 'sub AOFF_task_mm () {0x2c;}' unless defined(&AOFF_task_mm);
    eval 'sub ASIZ_task_mm () {0x4;}' unless defined(&ASIZ_task_mm);
    eval 'sub AOFF_task_processor () {0x30;}' unless defined(&AOFF_task_processor);
    eval 'sub ASIZ_task_processor () {0x4;}' unless defined(&ASIZ_task_processor);
    eval 'sub AOFF_task_cpus_runnable () {0x34;}' unless defined(&AOFF_task_cpus_runnable);
    eval 'sub ASIZ_task_cpus_runnable () {0x4;}' unless defined(&ASIZ_task_cpus_runnable);
    eval 'sub AOFF_task_cpus_allowed () {0x38;}' unless defined(&AOFF_task_cpus_allowed);
    eval 'sub ASIZ_task_cpus_allowed () {0x4;}' unless defined(&ASIZ_task_cpus_allowed);
    eval 'sub AOFF_task_run_list () {0x3c;}' unless defined(&AOFF_task_run_list);
    eval 'sub ASIZ_task_run_list () {0x8;}' unless defined(&ASIZ_task_run_list);
    eval 'sub AOFF_task_sleep_time () {0x44;}' unless defined(&AOFF_task_sleep_time);
    eval 'sub ASIZ_task_sleep_time () {0x4;}' unless defined(&ASIZ_task_sleep_time);
    eval 'sub AOFF_task_next_task () {0x48;}' unless defined(&AOFF_task_next_task);
    eval 'sub ASIZ_task_next_task () {0x4;}' unless defined(&ASIZ_task_next_task);
    eval 'sub AOFF_task_prev_task () {0x4c;}' unless defined(&AOFF_task_prev_task);
    eval 'sub ASIZ_task_prev_task () {0x4;}' unless defined(&ASIZ_task_prev_task);
    eval 'sub AOFF_task_active_mm () {0x50;}' unless defined(&AOFF_task_active_mm);
    eval 'sub ASIZ_task_active_mm () {0x4;}' unless defined(&ASIZ_task_active_mm);
    eval 'sub AOFF_task_local_pages () {0x54;}' unless defined(&AOFF_task_local_pages);
    eval 'sub ASIZ_task_local_pages () {0x8;}' unless defined(&ASIZ_task_local_pages);
    eval 'sub AOFF_task_allocation_order () {0x5c;}' unless defined(&AOFF_task_allocation_order);
    eval 'sub ASIZ_task_allocation_order () {0x4;}' unless defined(&ASIZ_task_allocation_order);
    eval 'sub AOFF_task_nr_local_pages () {0x60;}' unless defined(&AOFF_task_nr_local_pages);
    eval 'sub ASIZ_task_nr_local_pages () {0x4;}' unless defined(&ASIZ_task_nr_local_pages);
    eval 'sub AOFF_task_binfmt () {0x64;}' unless defined(&AOFF_task_binfmt);
    eval 'sub ASIZ_task_binfmt () {0x4;}' unless defined(&ASIZ_task_binfmt);
    eval 'sub AOFF_task_exit_code () {0x68;}' unless defined(&AOFF_task_exit_code);
    eval 'sub ASIZ_task_exit_code () {0x4;}' unless defined(&ASIZ_task_exit_code);
    eval 'sub AOFF_task_exit_signal () {0x6c;}' unless defined(&AOFF_task_exit_signal);
    eval 'sub ASIZ_task_exit_signal () {0x4;}' unless defined(&ASIZ_task_exit_signal);
    eval 'sub AOFF_task_pdeath_signal () {0x70;}' unless defined(&AOFF_task_pdeath_signal);
    eval 'sub ASIZ_task_pdeath_signal () {0x4;}' unless defined(&ASIZ_task_pdeath_signal);
    eval 'sub AOFF_task_personality () {0x74;}' unless defined(&AOFF_task_personality);
    eval 'sub ASIZ_task_personality () {0x4;}' unless defined(&ASIZ_task_personality);
    eval 'sub AOFF_task_pid () {0x7c;}' unless defined(&AOFF_task_pid);
    eval 'sub ASIZ_task_pid () {0x4;}' unless defined(&ASIZ_task_pid);
    eval 'sub AOFF_task_pgrp () {0x80;}' unless defined(&AOFF_task_pgrp);
    eval 'sub ASIZ_task_pgrp () {0x4;}' unless defined(&ASIZ_task_pgrp);
    eval 'sub AOFF_task_tty_old_pgrp () {0x84;}' unless defined(&AOFF_task_tty_old_pgrp);
    eval 'sub ASIZ_task_tty_old_pgrp () {0x4;}' unless defined(&ASIZ_task_tty_old_pgrp);
    eval 'sub AOFF_task_session () {0x88;}' unless defined(&AOFF_task_session);
    eval 'sub ASIZ_task_session () {0x4;}' unless defined(&ASIZ_task_session);
    eval 'sub AOFF_task_tgid () {0x8c;}' unless defined(&AOFF_task_tgid);
    eval 'sub ASIZ_task_tgid () {0x4;}' unless defined(&ASIZ_task_tgid);
    eval 'sub AOFF_task_leader () {0x90;}' unless defined(&AOFF_task_leader);
    eval 'sub ASIZ_task_leader () {0x4;}' unless defined(&ASIZ_task_leader);
    eval 'sub AOFF_task_p_opptr () {0x94;}' unless defined(&AOFF_task_p_opptr);
    eval 'sub ASIZ_task_p_opptr () {0x4;}' unless defined(&ASIZ_task_p_opptr);
    eval 'sub AOFF_task_p_pptr () {0x98;}' unless defined(&AOFF_task_p_pptr);
    eval 'sub ASIZ_task_p_pptr () {0x4;}' unless defined(&ASIZ_task_p_pptr);
    eval 'sub AOFF_task_p_cptr () {0x9c;}' unless defined(&AOFF_task_p_cptr);
    eval 'sub ASIZ_task_p_cptr () {0x4;}' unless defined(&ASIZ_task_p_cptr);
    eval 'sub AOFF_task_p_ysptr () {0xa0;}' unless defined(&AOFF_task_p_ysptr);
    eval 'sub ASIZ_task_p_ysptr () {0x4;}' unless defined(&ASIZ_task_p_ysptr);
    eval 'sub AOFF_task_p_osptr () {0xa4;}' unless defined(&AOFF_task_p_osptr);
    eval 'sub ASIZ_task_p_osptr () {0x4;}' unless defined(&ASIZ_task_p_osptr);
    eval 'sub AOFF_task_thread_group () {0xa8;}' unless defined(&AOFF_task_thread_group);
    eval 'sub ASIZ_task_thread_group () {0x8;}' unless defined(&ASIZ_task_thread_group);
    eval 'sub AOFF_task_pidhash_next () {0xb0;}' unless defined(&AOFF_task_pidhash_next);
    eval 'sub ASIZ_task_pidhash_next () {0x4;}' unless defined(&ASIZ_task_pidhash_next);
    eval 'sub AOFF_task_pidhash_pprev () {0xb4;}' unless defined(&AOFF_task_pidhash_pprev);
    eval 'sub ASIZ_task_pidhash_pprev () {0x4;}' unless defined(&ASIZ_task_pidhash_pprev);
    eval 'sub AOFF_task_wait_chldexit () {0xb8;}' unless defined(&AOFF_task_wait_chldexit);
    eval 'sub ASIZ_task_wait_chldexit () {0x8;}' unless defined(&ASIZ_task_wait_chldexit);
    eval 'sub AOFF_task_vfork_done () {0xc0;}' unless defined(&AOFF_task_vfork_done);
    eval 'sub ASIZ_task_vfork_done () {0x4;}' unless defined(&ASIZ_task_vfork_done);
    eval 'sub AOFF_task_rt_priority () {0xc4;}' unless defined(&AOFF_task_rt_priority);
    eval 'sub ASIZ_task_rt_priority () {0x4;}' unless defined(&ASIZ_task_rt_priority);
    eval 'sub AOFF_task_it_real_value () {0xc8;}' unless defined(&AOFF_task_it_real_value);
    eval 'sub ASIZ_task_it_real_value () {0x4;}' unless defined(&ASIZ_task_it_real_value);
    eval 'sub AOFF_task_it_prof_value () {0xcc;}' unless defined(&AOFF_task_it_prof_value);
    eval 'sub ASIZ_task_it_prof_value () {0x4;}' unless defined(&ASIZ_task_it_prof_value);
    eval 'sub AOFF_task_it_virt_value () {0xd0;}' unless defined(&AOFF_task_it_virt_value);
    eval 'sub ASIZ_task_it_virt_value () {0x4;}' unless defined(&ASIZ_task_it_virt_value);
    eval 'sub AOFF_task_it_real_incr () {0xd4;}' unless defined(&AOFF_task_it_real_incr);
    eval 'sub ASIZ_task_it_real_incr () {0x4;}' unless defined(&ASIZ_task_it_real_incr);
    eval 'sub AOFF_task_it_prof_incr () {0xd8;}' unless defined(&AOFF_task_it_prof_incr);
    eval 'sub ASIZ_task_it_prof_incr () {0x4;}' unless defined(&ASIZ_task_it_prof_incr);
    eval 'sub AOFF_task_it_virt_incr () {0xdc;}' unless defined(&AOFF_task_it_virt_incr);
    eval 'sub ASIZ_task_it_virt_incr () {0x4;}' unless defined(&ASIZ_task_it_virt_incr);
    eval 'sub AOFF_task_real_timer () {0xe0;}' unless defined(&AOFF_task_real_timer);
    eval 'sub ASIZ_task_real_timer () {0x14;}' unless defined(&ASIZ_task_real_timer);
    eval 'sub AOFF_task_times () {0xf4;}' unless defined(&AOFF_task_times);
    eval 'sub ASIZ_task_times () {0x10;}' unless defined(&ASIZ_task_times);
    eval 'sub AOFF_task_start_time () {0x104;}' unless defined(&AOFF_task_start_time);
    eval 'sub ASIZ_task_start_time () {0x4;}' unless defined(&ASIZ_task_start_time);
    eval 'sub AOFF_task_per_cpu_utime () {0x108;}' unless defined(&AOFF_task_per_cpu_utime);
    eval 'sub ASIZ_task_per_cpu_utime () {0x4;}' unless defined(&ASIZ_task_per_cpu_utime);
    eval 'sub AOFF_task_min_flt () {0x110;}' unless defined(&AOFF_task_min_flt);
    eval 'sub ASIZ_task_min_flt () {0x4;}' unless defined(&ASIZ_task_min_flt);
    eval 'sub AOFF_task_maj_flt () {0x114;}' unless defined(&AOFF_task_maj_flt);
    eval 'sub ASIZ_task_maj_flt () {0x4;}' unless defined(&ASIZ_task_maj_flt);
    eval 'sub AOFF_task_nswap () {0x118;}' unless defined(&AOFF_task_nswap);
    eval 'sub ASIZ_task_nswap () {0x4;}' unless defined(&ASIZ_task_nswap);
    eval 'sub AOFF_task_cmin_flt () {0x11c;}' unless defined(&AOFF_task_cmin_flt);
    eval 'sub ASIZ_task_cmin_flt () {0x4;}' unless defined(&ASIZ_task_cmin_flt);
    eval 'sub AOFF_task_cmaj_flt () {0x120;}' unless defined(&AOFF_task_cmaj_flt);
    eval 'sub ASIZ_task_cmaj_flt () {0x4;}' unless defined(&ASIZ_task_cmaj_flt);
    eval 'sub AOFF_task_cnswap () {0x124;}' unless defined(&AOFF_task_cnswap);
    eval 'sub ASIZ_task_cnswap () {0x4;}' unless defined(&ASIZ_task_cnswap);
    eval 'sub AOFF_task_uid () {0x12c;}' unless defined(&AOFF_task_uid);
    eval 'sub ASIZ_task_uid () {0x4;}' unless defined(&ASIZ_task_uid);
    eval 'sub AOFF_task_euid () {0x130;}' unless defined(&AOFF_task_euid);
    eval 'sub ASIZ_task_euid () {0x4;}' unless defined(&ASIZ_task_euid);
    eval 'sub AOFF_task_suid () {0x134;}' unless defined(&AOFF_task_suid);
    eval 'sub ASIZ_task_suid () {0x4;}' unless defined(&ASIZ_task_suid);
    eval 'sub AOFF_task_fsuid () {0x138;}' unless defined(&AOFF_task_fsuid);
    eval 'sub ASIZ_task_fsuid () {0x4;}' unless defined(&ASIZ_task_fsuid);
    eval 'sub AOFF_task_gid () {0x13c;}' unless defined(&AOFF_task_gid);
    eval 'sub ASIZ_task_gid () {0x4;}' unless defined(&ASIZ_task_gid);
    eval 'sub AOFF_task_egid () {0x140;}' unless defined(&AOFF_task_egid);
    eval 'sub ASIZ_task_egid () {0x4;}' unless defined(&ASIZ_task_egid);
    eval 'sub AOFF_task_sgid () {0x144;}' unless defined(&AOFF_task_sgid);
    eval 'sub ASIZ_task_sgid () {0x4;}' unless defined(&ASIZ_task_sgid);
    eval 'sub AOFF_task_fsgid () {0x148;}' unless defined(&AOFF_task_fsgid);
    eval 'sub ASIZ_task_fsgid () {0x4;}' unless defined(&ASIZ_task_fsgid);
    eval 'sub AOFF_task_ngroups () {0x14c;}' unless defined(&AOFF_task_ngroups);
    eval 'sub ASIZ_task_ngroups () {0x4;}' unless defined(&ASIZ_task_ngroups);
    eval 'sub AOFF_task_groups () {0x150;}' unless defined(&AOFF_task_groups);
    eval 'sub ASIZ_task_groups () {0x80;}' unless defined(&ASIZ_task_groups);
    eval 'sub AOFF_task_cap_effective () {0x1d0;}' unless defined(&AOFF_task_cap_effective);
    eval 'sub ASIZ_task_cap_effective () {0x4;}' unless defined(&ASIZ_task_cap_effective);
    eval 'sub AOFF_task_cap_inheritable () {0x1d4;}' unless defined(&AOFF_task_cap_inheritable);
    eval 'sub ASIZ_task_cap_inheritable () {0x4;}' unless defined(&ASIZ_task_cap_inheritable);
    eval 'sub AOFF_task_cap_permitted () {0x1d8;}' unless defined(&AOFF_task_cap_permitted);
    eval 'sub ASIZ_task_cap_permitted () {0x4;}' unless defined(&ASIZ_task_cap_permitted);
    eval 'sub AOFF_task_user () {0x1e0;}' unless defined(&AOFF_task_user);
    eval 'sub ASIZ_task_user () {0x4;}' unless defined(&ASIZ_task_user);
    eval 'sub AOFF_task_rlim () {0x1e4;}' unless defined(&AOFF_task_rlim);
    eval 'sub ASIZ_task_rlim () {0x58;}' unless defined(&ASIZ_task_rlim);
    eval 'sub AOFF_task_used_math () {0x23c;}' unless defined(&AOFF_task_used_math);
    eval 'sub ASIZ_task_used_math () {0x2;}' unless defined(&ASIZ_task_used_math);
    eval 'sub AOFF_task_comm () {0x23e;}' unless defined(&AOFF_task_comm);
    eval 'sub ASIZ_task_comm () {0x10;}' unless defined(&ASIZ_task_comm);
    eval 'sub AOFF_task_link_count () {0x250;}' unless defined(&AOFF_task_link_count);
    eval 'sub ASIZ_task_link_count () {0x4;}' unless defined(&ASIZ_task_link_count);
    eval 'sub AOFF_task_total_link_count () {0x254;}' unless defined(&AOFF_task_total_link_count);
    eval 'sub ASIZ_task_total_link_count () {0x4;}' unless defined(&ASIZ_task_total_link_count);
    eval 'sub AOFF_task_tty () {0x258;}' unless defined(&AOFF_task_tty);
    eval 'sub ASIZ_task_tty () {0x4;}' unless defined(&ASIZ_task_tty);
    eval 'sub AOFF_task_locks () {0x25c;}' unless defined(&AOFF_task_locks);
    eval 'sub ASIZ_task_locks () {0x4;}' unless defined(&ASIZ_task_locks);
    eval 'sub AOFF_task_semundo () {0x260;}' unless defined(&AOFF_task_semundo);
    eval 'sub ASIZ_task_semundo () {0x4;}' unless defined(&ASIZ_task_semundo);
    eval 'sub AOFF_task_semsleeping () {0x264;}' unless defined(&AOFF_task_semsleeping);
    eval 'sub ASIZ_task_semsleeping () {0x4;}' unless defined(&ASIZ_task_semsleeping);
    eval 'sub AOFF_task_thread () {0x268;}' unless defined(&AOFF_task_thread);
    eval 'sub ASIZ_task_thread () {0x380;}' unless defined(&ASIZ_task_thread);
    eval 'sub AOFF_task_fs () {0x5e8;}' unless defined(&AOFF_task_fs);
    eval 'sub ASIZ_task_fs () {0x4;}' unless defined(&ASIZ_task_fs);
    eval 'sub AOFF_task_files () {0x5ec;}' unless defined(&AOFF_task_files);
    eval 'sub ASIZ_task_files () {0x4;}' unless defined(&ASIZ_task_files);
    eval 'sub AOFF_task_namespace () {0x5f0;}' unless defined(&AOFF_task_namespace);
    eval 'sub ASIZ_task_namespace () {0x4;}' unless defined(&ASIZ_task_namespace);
    eval 'sub AOFF_task_sigmask_lock () {0x5f4;}' unless defined(&AOFF_task_sigmask_lock);
    eval 'sub ASIZ_task_sigmask_lock () {0x;}' unless defined(&ASIZ_task_sigmask_lock);
    eval 'sub AOFF_task_sig () {0x5f4;}' unless defined(&AOFF_task_sig);
    eval 'sub ASIZ_task_sig () {0x4;}' unless defined(&ASIZ_task_sig);
    eval 'sub AOFF_task_blocked () {0x5f8;}' unless defined(&AOFF_task_blocked);
    eval 'sub ASIZ_task_blocked () {0x8;}' unless defined(&ASIZ_task_blocked);
    eval 'sub AOFF_task_pending () {0x600;}' unless defined(&AOFF_task_pending);
    eval 'sub ASIZ_task_pending () {0x10;}' unless defined(&ASIZ_task_pending);
    eval 'sub AOFF_task_sas_ss_sp () {0x610;}' unless defined(&AOFF_task_sas_ss_sp);
    eval 'sub ASIZ_task_sas_ss_sp () {0x4;}' unless defined(&ASIZ_task_sas_ss_sp);
    eval 'sub AOFF_task_sas_ss_size () {0x614;}' unless defined(&AOFF_task_sas_ss_size);
    eval 'sub ASIZ_task_sas_ss_size () {0x4;}' unless defined(&ASIZ_task_sas_ss_size);
    eval 'sub AOFF_task_notifier () {0x618;}' unless defined(&AOFF_task_notifier);
    eval 'sub ASIZ_task_notifier () {0x4;}' unless defined(&ASIZ_task_notifier);
    eval 'sub AOFF_task_notifier_data () {0x61c;}' unless defined(&AOFF_task_notifier_data);
    eval 'sub ASIZ_task_notifier_data () {0x4;}' unless defined(&ASIZ_task_notifier_data);
    eval 'sub AOFF_task_notifier_mask () {0x620;}' unless defined(&AOFF_task_notifier_mask);
    eval 'sub ASIZ_task_notifier_mask () {0x4;}' unless defined(&ASIZ_task_notifier_mask);
    eval 'sub AOFF_task_parent_exec_id () {0x624;}' unless defined(&AOFF_task_parent_exec_id);
    eval 'sub ASIZ_task_parent_exec_id () {0x4;}' unless defined(&ASIZ_task_parent_exec_id);
    eval 'sub AOFF_task_self_exec_id () {0x628;}' unless defined(&AOFF_task_self_exec_id);
    eval 'sub ASIZ_task_self_exec_id () {0x4;}' unless defined(&ASIZ_task_self_exec_id);
    eval 'sub AOFF_task_alloc_lock () {0x62c;}' unless defined(&AOFF_task_alloc_lock);
    eval 'sub ASIZ_task_alloc_lock () {0x;}' unless defined(&ASIZ_task_alloc_lock);
    eval 'sub AOFF_task_journal_info () {0x62c;}' unless defined(&AOFF_task_journal_info);
    eval 'sub ASIZ_task_journal_info () {0x4;}' unless defined(&ASIZ_task_journal_info);
    eval 'sub ASIZ_task () {0x630;}' unless defined(&ASIZ_task);
    eval 'sub AOFF_mm_mmap () {0x;}' unless defined(&AOFF_mm_mmap);
    eval 'sub ASIZ_mm_mmap () {0x4;}' unless defined(&ASIZ_mm_mmap);
    eval 'sub AOFF_mm_mm_rb () {0x4;}' unless defined(&AOFF_mm_mm_rb);
    eval 'sub ASIZ_mm_mm_rb () {0x4;}' unless defined(&ASIZ_mm_mm_rb);
    eval 'sub AOFF_mm_mmap_cache () {0x8;}' unless defined(&AOFF_mm_mmap_cache);
    eval 'sub ASIZ_mm_mmap_cache () {0x4;}' unless defined(&ASIZ_mm_mmap_cache);
    eval 'sub AOFF_mm_pgd () {0xc;}' unless defined(&AOFF_mm_pgd);
    eval 'sub ASIZ_mm_pgd () {0x4;}' unless defined(&ASIZ_mm_pgd);
    eval 'sub AOFF_mm_mm_users () {0x10;}' unless defined(&AOFF_mm_mm_users);
    eval 'sub ASIZ_mm_mm_users () {0x4;}' unless defined(&ASIZ_mm_mm_users);
    eval 'sub AOFF_mm_mm_count () {0x14;}' unless defined(&AOFF_mm_mm_count);
    eval 'sub ASIZ_mm_mm_count () {0x4;}' unless defined(&ASIZ_mm_mm_count);
    eval 'sub AOFF_mm_map_count () {0x18;}' unless defined(&AOFF_mm_map_count);
    eval 'sub ASIZ_mm_map_count () {0x4;}' unless defined(&ASIZ_mm_map_count);
    eval 'sub AOFF_mm_mmap_sem () {0x1c;}' unless defined(&AOFF_mm_mmap_sem);
    eval 'sub ASIZ_mm_mmap_sem () {0xc;}' unless defined(&ASIZ_mm_mmap_sem);
    eval 'sub AOFF_mm_page_table_lock () {0x28;}' unless defined(&AOFF_mm_page_table_lock);
    eval 'sub ASIZ_mm_page_table_lock () {0x;}' unless defined(&ASIZ_mm_page_table_lock);
    eval 'sub AOFF_mm_mmlist () {0x28;}' unless defined(&AOFF_mm_mmlist);
    eval 'sub ASIZ_mm_mmlist () {0x8;}' unless defined(&ASIZ_mm_mmlist);
    eval 'sub AOFF_mm_start_code () {0x30;}' unless defined(&AOFF_mm_start_code);
    eval 'sub ASIZ_mm_start_code () {0x4;}' unless defined(&ASIZ_mm_start_code);
    eval 'sub AOFF_mm_end_code () {0x34;}' unless defined(&AOFF_mm_end_code);
    eval 'sub ASIZ_mm_end_code () {0x4;}' unless defined(&ASIZ_mm_end_code);
    eval 'sub AOFF_mm_start_data () {0x38;}' unless defined(&AOFF_mm_start_data);
    eval 'sub ASIZ_mm_start_data () {0x4;}' unless defined(&ASIZ_mm_start_data);
    eval 'sub AOFF_mm_end_data () {0x3c;}' unless defined(&AOFF_mm_end_data);
    eval 'sub ASIZ_mm_end_data () {0x4;}' unless defined(&ASIZ_mm_end_data);
    eval 'sub AOFF_mm_start_brk () {0x40;}' unless defined(&AOFF_mm_start_brk);
    eval 'sub ASIZ_mm_start_brk () {0x4;}' unless defined(&ASIZ_mm_start_brk);
    eval 'sub AOFF_mm_brk () {0x44;}' unless defined(&AOFF_mm_brk);
    eval 'sub ASIZ_mm_brk () {0x4;}' unless defined(&ASIZ_mm_brk);
    eval 'sub AOFF_mm_start_stack () {0x48;}' unless defined(&AOFF_mm_start_stack);
    eval 'sub ASIZ_mm_start_stack () {0x4;}' unless defined(&ASIZ_mm_start_stack);
    eval 'sub AOFF_mm_arg_start () {0x4c;}' unless defined(&AOFF_mm_arg_start);
    eval 'sub ASIZ_mm_arg_start () {0x4;}' unless defined(&ASIZ_mm_arg_start);
    eval 'sub AOFF_mm_arg_end () {0x50;}' unless defined(&AOFF_mm_arg_end);
    eval 'sub ASIZ_mm_arg_end () {0x4;}' unless defined(&ASIZ_mm_arg_end);
    eval 'sub AOFF_mm_env_start () {0x54;}' unless defined(&AOFF_mm_env_start);
    eval 'sub ASIZ_mm_env_start () {0x4;}' unless defined(&ASIZ_mm_env_start);
    eval 'sub AOFF_mm_env_end () {0x58;}' unless defined(&AOFF_mm_env_end);
    eval 'sub ASIZ_mm_env_end () {0x4;}' unless defined(&ASIZ_mm_env_end);
    eval 'sub AOFF_mm_rss () {0x5c;}' unless defined(&AOFF_mm_rss);
    eval 'sub ASIZ_mm_rss () {0x4;}' unless defined(&ASIZ_mm_rss);
    eval 'sub AOFF_mm_total_vm () {0x60;}' unless defined(&AOFF_mm_total_vm);
    eval 'sub ASIZ_mm_total_vm () {0x4;}' unless defined(&ASIZ_mm_total_vm);
    eval 'sub AOFF_mm_locked_vm () {0x64;}' unless defined(&AOFF_mm_locked_vm);
    eval 'sub ASIZ_mm_locked_vm () {0x4;}' unless defined(&ASIZ_mm_locked_vm);
    eval 'sub AOFF_mm_def_flags () {0x68;}' unless defined(&AOFF_mm_def_flags);
    eval 'sub ASIZ_mm_def_flags () {0x4;}' unless defined(&ASIZ_mm_def_flags);
    eval 'sub AOFF_mm_cpu_vm_mask () {0x6c;}' unless defined(&AOFF_mm_cpu_vm_mask);
    eval 'sub ASIZ_mm_cpu_vm_mask () {0x4;}' unless defined(&ASIZ_mm_cpu_vm_mask);
    eval 'sub AOFF_mm_swap_address () {0x70;}' unless defined(&AOFF_mm_swap_address);
    eval 'sub ASIZ_mm_swap_address () {0x4;}' unless defined(&ASIZ_mm_swap_address);
    eval 'sub AOFF_mm_context () {0x78;}' unless defined(&AOFF_mm_context);
    eval 'sub ASIZ_mm_context () {0x4;}' unless defined(&ASIZ_mm_context);
    eval 'sub ASIZ_mm () {0x7c;}' unless defined(&ASIZ_mm);
    eval 'sub AOFF_thread_uwinmask () {0x;}' unless defined(&AOFF_thread_uwinmask);
    eval 'sub ASIZ_thread_uwinmask () {0x4;}' unless defined(&ASIZ_thread_uwinmask);
    eval 'sub AOFF_thread_kregs () {0x4;}' unless defined(&AOFF_thread_kregs);
    eval 'sub ASIZ_thread_kregs () {0x4;}' unless defined(&ASIZ_thread_kregs);
    eval 'sub AOFF_thread_ksp () {0x8;}' unless defined(&AOFF_thread_ksp);
    eval 'sub ASIZ_thread_ksp () {0x4;}' unless defined(&ASIZ_thread_ksp);
    eval 'sub AOFF_thread_kpc () {0xc;}' unless defined(&AOFF_thread_kpc);
    eval 'sub ASIZ_thread_kpc () {0x4;}' unless defined(&ASIZ_thread_kpc);
    eval 'sub AOFF_thread_kpsr () {0x10;}' unless defined(&AOFF_thread_kpsr);
    eval 'sub ASIZ_thread_kpsr () {0x4;}' unless defined(&ASIZ_thread_kpsr);
    eval 'sub AOFF_thread_kwim () {0x14;}' unless defined(&AOFF_thread_kwim);
    eval 'sub ASIZ_thread_kwim () {0x4;}' unless defined(&ASIZ_thread_kwim);
    eval 'sub AOFF_thread_fork_kpsr () {0x18;}' unless defined(&AOFF_thread_fork_kpsr);
    eval 'sub ASIZ_thread_fork_kpsr () {0x4;}' unless defined(&ASIZ_thread_fork_kpsr);
    eval 'sub AOFF_thread_fork_kwim () {0x1c;}' unless defined(&AOFF_thread_fork_kwim);
    eval 'sub ASIZ_thread_fork_kwim () {0x4;}' unless defined(&ASIZ_thread_fork_kwim);
    eval 'sub AOFF_thread_reg_window () {0x20;}' unless defined(&AOFF_thread_reg_window);
    eval 'sub ASIZ_thread_reg_window () {0x200;}' unless defined(&ASIZ_thread_reg_window);
    eval 'sub AOFF_thread_rwbuf_stkptrs () {0x220;}' unless defined(&AOFF_thread_rwbuf_stkptrs);
    eval 'sub ASIZ_thread_rwbuf_stkptrs () {0x20;}' unless defined(&ASIZ_thread_rwbuf_stkptrs);
    eval 'sub AOFF_thread_w_saved () {0x240;}' unless defined(&AOFF_thread_w_saved);
    eval 'sub ASIZ_thread_w_saved () {0x4;}' unless defined(&ASIZ_thread_w_saved);
    eval 'sub AOFF_thread_float_regs () {0x248;}' unless defined(&AOFF_thread_float_regs);
    eval 'sub ASIZ_thread_float_regs () {0x80;}' unless defined(&ASIZ_thread_float_regs);
    eval 'sub AOFF_thread_fsr () {0x2c8;}' unless defined(&AOFF_thread_fsr);
    eval 'sub ASIZ_thread_fsr () {0x4;}' unless defined(&ASIZ_thread_fsr);
    eval 'sub AOFF_thread_fpqdepth () {0x2cc;}' unless defined(&AOFF_thread_fpqdepth);
    eval 'sub ASIZ_thread_fpqdepth () {0x4;}' unless defined(&ASIZ_thread_fpqdepth);
    eval 'sub AOFF_thread_fpqueue () {0x2d0;}' unless defined(&AOFF_thread_fpqueue);
    eval 'sub ASIZ_thread_fpqueue () {0x80;}' unless defined(&ASIZ_thread_fpqueue);
    eval 'sub AOFF_thread_flags () {0x350;}' unless defined(&AOFF_thread_flags);
    eval 'sub ASIZ_thread_flags () {0x4;}' unless defined(&ASIZ_thread_flags);
    eval 'sub AOFF_thread_current_ds () {0x354;}' unless defined(&AOFF_thread_current_ds);
    eval 'sub ASIZ_thread_current_ds () {0x4;}' unless defined(&ASIZ_thread_current_ds);
    eval 'sub AOFF_thread_core_exec () {0x358;}' unless defined(&AOFF_thread_core_exec);
    eval 'sub ASIZ_thread_core_exec () {0x20;}' unless defined(&ASIZ_thread_core_exec);
    eval 'sub AOFF_thread_new_signal () {0x378;}' unless defined(&AOFF_thread_new_signal);
    eval 'sub ASIZ_thread_new_signal () {0x4;}' unless defined(&ASIZ_thread_new_signal);
    eval 'sub AOFF_thread_refcount () {0x37c;}' unless defined(&AOFF_thread_refcount);
    eval 'sub ASIZ_thread_refcount () {0x4;}' unless defined(&ASIZ_thread_refcount);
    eval 'sub ASIZ_thread () {0x380;}' unless defined(&ASIZ_thread);
}
1;
